Skip to content
View as Markdown

POST Schedule SMS Campaign​

POST
/sms/campaigns/{id}/schedule

Schedule an SMS campaign for sending. The campaign must be in draft status. If scheduled_at is provided, the campaign is scheduled for that time. If omitted, the campaign starts sending within 5 minutes (instant send with admin cancel window). Accepts Unix timestamps, MySQL datetime strings, and ISO-8601 strings. PRO (requires FluentCampaign Pro SMS module).

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

SMS campaign ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"scheduled_at": "string",
"sending_type": "schedule"
}

Responses​

Campaign scheduled successfully.

application/json
JSON
{
"campaign": {
"id": 0,
"title": "string",
"message_content": "string",
"status": "string",
"type": "string",
"recipients_count": 0,
"scheduled_at": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
},
"message": "string",
"current_timestamp": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI